*{
    font-size: 8px;
    text-decoration: none;
    color: var(--black-650);
    box-sizing: border-box;
    margin: 0;
    font-family: Roboto;
    scroll-behavior: smooth;
    /* background-color: #F7F7F7; */
    /* border: 1px solid red; */

}

:root{
    --accent-color: #F7F7F7;
    --border-color: #757575;
    --header-height: 13rem;
    --base: #000000;
    --black-50: #161618;
    --black-100: #202020;
    --black-200: #292929;
    --black-300: #404040;
    --black-400: #505050;
    --black-500: #8A8A8A;
    --black-600: #A3A3A3;
    --black-650: #B4B4B4;
    --black-700: #D4D4D4;
    --black-800: #E5E5E5;
    --black-900: #F5F5F5;
    --black-1000: #FAFAFA;
    --size: 10px;
}

@font-face {
    font-family: "Roboto";
    src: url(./assets/fonts/Roboto/Roboto-Regular.ttf);
    font-weight: normal;
    font-style: normal;
}

body{
    background-color: var(--black-50);   
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    min-height: 100vh;
}

body::-webkit-scrollbar {
    display: none;
}

.header{
    width: 100%;
    height: 13rem;
    display: flex;
    justify-content: center;
    /* position: sticky; */
    position: fixed;
    background-color: var(--black-50);
    /* background-color: #F7F7F7; */
    align-items: center;
    /* background-color: rgba(255, 255, 255, 1); Полупрозрачный цвет */
    /* transition: background-color 0.3s ease; Плавное изменение цвета */
    padding: 5rem;
    z-index: 5;
    /* top: 0; */
}

.header_container{
    /* height: 100%; */
    width: 137.5rem ;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.header_grid{
    width: 137.5rem;
    display: grid;
    grid-template-columns: 1fr 3fr;
}

.container{
    width: 137.5rem;
    /* height: 100%; */
    display: flex;
    /* justify-content: space-between; */
    /* align-items: center; */
    padding-bottom: 5rem;
}

.logo_height{
    max-height: 6rem;
}

.footer_logo_height{
    max-height: 8rem;
}

.navigation{
    display: flex;
    gap: 4rem;
    justify-content: space-between;
    text-wrap: nowrap;
    align-items: center;
}

.navigation a{
    text-decoration: none;
    position: relative;
    padding-bottom: 10px;
    color: var(--black-800);
    transition: color 0.3s ease;
}

.navigation a::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 3px;
    background-color: var(--black-800);
    transform: scaleX(0);
    transition: transform 0.3s ease, color 0.3s ease;
}

/* .navigation a:hover{
    color: var(--black-650);
} */

.mobile-nav{
    display: none;
}

.burger-menu{
    display: none;
    position: relative;
    z-index: 50;
    align-items: center;
    justify-content: flex-end;
    width: 30px;
    height: 18px;
}

.burger-menu span{
    height: 2px;
    width: 80%;
    transform: scale(1);
    background-color: #FAF6F2;
}

.burger-menu::before, .burger-menu::after{
    content: '';
    position: absolute;
    height: 2px;
    width: 100%;
    background-color: #FAF6F2;
    transition: all 0.3s ease 0s;
}

.burger-menu::before { top: 0 }

.burger-menu::after { bottom: 0 }

.burger-menu.active span { transform: scale(0) }

.burger-menu.active::before{
    top: 50%;
    transform: rotate(-45deg) translate(0, -50%);
}

.burger-menu.active::after{
    bottom: 50%;
    transform: rotate(45deg) translate(0, 50%);
}


.open{
    display: flex !important
}

.unscroll{
    overflow: hidden;
}

.no-select {
    user-select: none; /* Запрещает выделение текста */
}

.icon{
    height: auto;
    width: auto;
}

.section-layer{
    width: 100%;
    display: flex;
    justify-content: center;
}

.main-wrapper{
    padding-top: 13rem;
    width:137.5rem;
    height: 100%;
    display: flex;
    align-items: center;
}   


.main-bg{
    background-image: url(./assets/images/main-background.webp);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    margin: 0;
}

.main-image{
    padding: 4rem 0;
}

.second-bg{
    background-image: url(./assets/images/houses-background.webp);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.section-vh{
    height: 100vh;
}

.black{
    color: black;
}

.main-content{
    width: 50%;
    display: flex;
    /* flex-direction: column; */
    /* align-items: center; */
    justify-content: space-between;
    gap: 2.5rem;
}

.footer{
    background-color: var(--black-100);
    padding: 5rem;
    display: flex;
    justify-content: center;
    align-items: center;
}

.footer_container{
    width: 137.5rem;
    display: grid;
    grid-template-columns: 0.7fr 1fr 0.7fr 0.7fr;
}

.footer_links{
    display: flex;
    gap: 1rem;
}

.footer_links img{
    width: 32px;
    height: 32px;
}

.footer_links_bg{
    display: flex;
    align-items: center;
    justify-content: center;
    width: 48px;
    height: 48px;
    border: 2px solid var(--black-50);
    border-radius: 12px;
    /* background-color: var(--black-800); */
    background-color: var(--black-700);
    transition: background-color 0.3s ease, transform 0.2s ease;
}

/* .footer_links_bg:hover{
    background-color: var(--black-800);
    transform: scale(1.02);
} */


.footer_fcontainer{
    display: flex;
    justify-content: space-between;
    gap: 2rem;
    width: 137.5rem;
}

.copyright_container{
    width: 137.5rem;
    display: flex;
}

.footer_contacts{
    display: flex;
    height: 100%;
    gap: 2rem;
}

.footer_nav_items{
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.socials__wrapper{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 80%;
}

.socials__icon{
    width: 24px;
    height: 24px;
}

.text-center{
    text-align: center;
}

.footer_logo{
    height: 120px;
    width: 120px;
    border-radius: 50%;
}

.a_footer{
    color: var(--black-800);
    font-size: 2rem;
    /* opacity: .8;     */
}

.p_footer{
    color: var(--black-650);
    font-size: 2rem;
}

a{
    font-size: 2.25rem;
    color: var(--black-800);
    /* line-height: 2.75rem; */
}

.underlined{
    text-decoration: underline;
    text-decoration-color: color(var(--black-650));
}

.column-direction{
    flex-direction: column;
    gap: 1rem;
}

.row-direction{
    display: flex;
    flex-direction: row;
    /* gap: 2rem; */
}

.f-padding{
    padding-bottom: 4rem;
}

.pre-wrap{
    white-space: pre-wrap;
}

.copyright{
    display: flex;
    width: 100%;
    height: 12rem;
    background-color: var(--black-50);
    color: var(--black-650);
    justify-content: center;
    align-items: center;
}

.copyright-links{
    display: flex;
    justify-content: space-between;
    flex-direction: column;
}

.copyright_container div{
    display: flex;
    justify-content: space-between;
    flex-direction: column;
}

.copyright p{
    font-size: 1.5rem;
    line-height: 2rem;
    color: var(--black-650);
}

.copyright a{
    font-size: 1.5rem;
    line-height: 2rem;
    color: var(--black-650);
}

.align-baseline{
    display: flex;
    align-items: baseline;
}

.align-center{
    align-items: center;
}

.align-start{
    display: flex;
    align-items: start;
}

.align-end{
    align-items: end;
}

.justify-end{
    display: flex;
    justify-content:end;
}

.justify-start{
    display: flex;
    justify-content: flex-start;
}

.text-left{
    text-align: left;
}

.justify-between{
    justify-content:space-between;
}

.h1_main{
    font-size: 9rem;
    line-height: 9.5rem;
    color: var(--black-800);
}

.main_subtext{
    font-size: 4rem;
    line-height: 4.5rem;
    color: var(--black-700);
}

h3{
    font-size: 5rem;
    line-height: 5.5rem;
    color: var(--black-800);
}

.p_description{
    font-size: 2.5rem;
    line-height: 3.5rem;
    /* color: white; */
    color: var(--black-700);
    text-wrap: pretty;
    /* opacity: .8; */
}

.description__list{
    font-size: 2.75rem;
    line-height: 3rem;
    color: var(--black-800);
    padding-bottom: 0.5rem;
}

.p_subtext{
    font-size: 3rem;
    line-height: 3.5rem;
    /* color: white; */
    color: var(--black-800);
    /* opacity: .8; */
}


.p_accordion_heading{
    font-size: 2.75rem;
    color: var(--black-800);
}

.p_accordion{
    font-size: 2.25rem;
    color: var(--black-700);
    padding: 1rem 0;
}

.w-50{
    width: 50%;
}

.offers__image{
    display: flex;
    width: 100%;
    height: 50rem;
    border: 2px solid var(--black-100);
}

.object__wrapper{
    display: flex;
    width: 100%;
    justify-content: space-between;
    gap: 2rem;
    flex-direction: row;
}

.object__card{
    display: flex;
    width: 50%;
    height: 60rem;
    border: 2px solid var(--black-100);
    flex-direction: column;
}

.object__image{
    height: 45%;
    width: 100%;
    object-fit: cover;
    border: 1px solid red;
}

.object__info{
    height: 55%;
    width: 100%;
    border: 1px solid yellow;
}

.accordion{
    width: 100%;
    margin: 64px 0 0;
}

.accordion-module{
    display: flex;
    width: 137.5rem;
}

.accordion-item{
    border-bottom: 1px solid var(--black-500);
    overflow: hidden;
}

.accordion-item__heading{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 24px 0;
    cursor: pointer;
}

.accordion-item__heading svg path{
    fill: var(--black-800);
}

.accordion-item__heading *{
    pointer-events: none;
}

.accordion-item__heading svg path{
    transition: fill .2s;
}

.accordion-item__heading:hover svg path{
    fill: var(--black-650);
}

.accordion-item__heading-active svg path{
    fill: var(--black-400);
}

.accordion-item__heading-active:hover svg path{
    fill: var(--black-400);
}

.accordion-item__heading svg{
    transition: transform .2s, fill .2s;
    flex-shrink: 0;
}

.accordion-item__heading-active svg{
    transform: rotate(-45deg);
}

.accordion-item__content{
    font-size: 20px;
    line-height: 32px;
    color: var(--black-bg);
    overflow:hidden;
    opacity: 0;
    height: 0px;
    max-height: 600px;
    /* visibility: hidden; */
    transition: opacity .3s, height .3s;
}



.accordion-item__heading-active ~ .accordion-item__content{
    margin: 0px 0px 24px 0px;
    opacity: 1;
}

.accordion-item__list{
    list-style: none; 
    padding: 0;
    margin: 0;
}

.accordion-item__list svg path{
    fill: var(--light-gray);
    width: 24px;
    height: 24px;
}

.accordion-item__list li{
    position: relative;
    margin-bottom: 8px; /* Между строками */
    font-size: 2.25rem;
}

.accordion-item__list .icon{
    margin-right: 10px;
    width: 20px;
    height: 20px;
    fill: #666;
    vertical-align: text-bottom;
}


:root{
    --blue-100: #E2EEF3;
    --blue-main: #1290CB;
    --blue-500: #1479A8; 
    --blue-700: #184A62;
    --blue-800: #1A333F;
    --blue-900: #1B282D;
    --light-gray: #C0CCD0;
    --black-bg: #070C0E;
    --light-bg: #EAF1F4;
}

.justify-center{
    justify-content: center;
}

.t_padding_5{
    padding-top: 5rem;
}

.b_padding_5{
    padding-bottom: 5rem;
}

.h1_black{
    color: black;
    font-size: 9rem;
    line-height: 9.5rem;
}

.form_container{
    width: 137.5rem;
    display: grid;
    grid-template-columns: 1fr 1fr 2fr;
}

.form_heading{
    font-size: 5rem;
    line-height: 5.5rem;
    color: var(--black-800);
}

.form_subtext{
    font-size: 2.5rem;
    line-height: 3rem;
    color: var(--black-650);
}

.form{
    display: flex;
    flex-direction: column;
    gap: 2rem;
    width: 50%;
    font-size: 2rem;
}

label{
    font-size: 2.25rem;
}

.form__wrapper{
    display: flex;
    align-items: start;
    width: 100%;
    background-color: var(--black-100);
    padding: 8rem;
    border-radius: 4rem;
    margin-top: 8rem;
}

input{
    border-radius: 1rem;
    border: 1px solid var(--border-color);
    padding: 1rem;
    font-size: 2.25rem;
    background-color: var(--black-200);
}

input:focus {
    outline: none;
}

.input-wrapper{
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.submit-btn{
    color: var(--black-200);
    margin-top: 1rem;
    background-color: var(--black-800);
    font-size: 2.25rem;
    transition: background-color 0.3s ease;
}

/* .submit-btn:hover{
    background-color: var(--black-600);
} */

.contacts-container {
    display: flex;
    width: 137.5rem;
    height: 45rem;
    border: 1px solid var(--black-400);
    background-color: var(--black-100);
}

.map__wrapper{
    width: 100%;
}

.map__container{
    display: flex;
    width: 137.5rem;
    height: 40rem;
    /* border: 1px solid black; */
}

.map__shadow{
    width: 100%;
    height: 100%;
    background-color: var(--black-50);
    opacity: 0.8;
    z-index: 4;
}

.contacts-list {
    width: 60%;
    padding: 25px;
    overflow-y: auto;
    max-height: 100vh;
    display: flex;
    justify-content: space-around;
    flex-direction: column;
    gap: 2rem;
    /* display: grid;
    grid-template-columns: repeat(2, 1fr); */
}

.contacts-list__wrapper{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 4rem;
}

.contacts-list__content-name{
    font-size: 2.5rem;
    color: var(--black-700);
}

.contacts-list-header{
    font-size: 2.5rem;
}

.contacts-list-text{
    font-size: 2rem;
    text-wrap-style: balance;
}

.contacts-list-text a{
    font-size: 2rem;
}

.contacts-list-box{
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
}

.contacts-list-box a{
   text-decoration: none;
    position: relative;
    padding-bottom: 6px;
    color: var(--black-800);
    transition: color 0.3s ease;
}

.contacts-list-box a::after{
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 2px;
    background-color: var(--black-800);
    transform: scaleX(0);
    transition: transform 0.3s ease;
}

.contact-item {
    padding: 15px;
    /* margin-bottom: 10px; */
    border: 1px solid var(--black-400);
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.contacts_address{
    font-size: 2rem;
    line-height: 2.75rem;
    color: var(--black-650);
}

.contacts_number{
    font-size: 1.9rem;
    line-height: 2.65rem;
    color: var(--black-650);
}

/* .contact-item:hover {
    background-color: var(--black-200);
    transition: background-color 0.3 ease;
} */

.contact-details {
    display: flex;
    flex-direction: column;
    flex: 1;
    position: relative;
    width: 50%;
    padding: 5rem;
    background-color: var(--black-100);
    display: none;
}

.contact-details.active {
    display: block;
}

.close-btn {
    position: absolute;
    top: 10px;
    left: 10px;
    background-color: transparent;
    border: none;
    font-size: 24px;
    cursor: pointer;
}

.map {
    flex: 1;
    width: 100%;
    height: 100%;
    border: 1px solid var(--black-400);
    overflow: hidden;
}

.boulevard-map{
    flex: 1;
    width: 100%;
    height: 100%;
    border: 1px solid var(--black-400);
    /* border-radius: 4rem; */
    overflow: hidden;
}

.boulevard2-map{
    flex: 1;
    width: 100%;
    height: 100%;
    border: 1px solid var(--black-400);
    /* border-radius: 4rem; */
    overflow: hidden;
}

/* Опционально можно скрыть этот блок */
.ymaps-2-1-79-copyrights-pane {
    display: none !important;
}

.qualification_container{
    display: flex;
    align-items: start;
    justify-content: space-between;
    gap: 10rem;
}

.clickable-image {
    width: 500px; /* Исходный размер изображения */
    cursor: pointer;
    transition: 0.3s;
}

.clickable-image:hover {
    opacity: 0.8;
}

.modal {
    display: none; /* Скрыто по умолчанию */
    position: fixed;
    z-index: 1000;
    padding-top: 60px;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.9);
}

.modal-content {
    margin: auto;
    display: block;
    max-width: 90vh;
    max-height: 90vh;
}

.close {
    position: absolute;
    top: 20px;
    right: 35px;
    color: #ffffff;
    font-size: 40px;
    font-weight: bold;
    transition: 0.3s;
    cursor: pointer;
}

.close:hover,
.close:focus {
    color: #bbbbbb;
}

.header__padding{
    padding-top: var(--header-height);
}

.d-flex{
    display: flex;
}

.g-10{
    gap: 10rem;
}

.g-0{
    gap: 0rem;
}

.section_heading{
    font-size: 5rem;
    line-height: 5.5rem;
    color: var(--black-800);
    padding: 4rem 0 4rem 0;
}

.main-heading{
    font-size: 5rem;
    line-height: 5.5rem;
    color: var(--black-800);
    padding: 12rem 0 4rem 0;
}

.contacts__subtext{
    font-size: 2.5rem;
    line-height: 3rem;
    color: var(--black-650);
    padding-bottom: 4rem;
    /* opacity: 70%; */
}

.contacts__heading{
    font-size: 5rem;
    line-height: 5.5rem;
    padding: 4rem 0 4rem;
}

.contacts__office{
    display: flex;
    flex-direction: row;
}

.p__text{
    font-size: 2.5rem;
    line-height: 3rem;
    color:var(--black-650);
}

.services__list{
    font-size: 2rem;
    line-height: 2.5rem;
    color: black;
    padding-bottom: 0.5rem;
}

.services__p{
    font-size: 2rem;
    line-height: 2.5rem;
    color: black;
    padding-bottom: 0.5rem;
}

.services__h2{
    font-size: 3rem;
    line-height: 3.5rem;
    color: black;
    padding-bottom: 3rem;
}

.m_bottom{
    margin-bottom: 2.5rem;
}

.services-section {
    margin: 4rem 0 4rem 0;
}
.services-section h2 {
    font-size: 4rem;
    margin-bottom: 2rem;
    text-align: center;
    border-bottom: 2px solid var(--black-400);
    display: inline-block;
    padding-bottom: 0.5rem;
}

.card-container {
    display: grid;
    gap: 2rem; /* Уменьшил зазор между карточками */
    grid-template-columns: repeat(auto-fill, minmax(280px, 1fr)); /* Респонсивная сетка */
}

.card-wrapper{
	display: grid;
	place-items: center;
	/* aspect-ratio: 1/1; */
	padding: 2px;
	background-color:  rgba(255, 255, 255, .1);
}

.column-span{
    grid-column: span 2;
}

.card {
    display: flex;
    width: 100%;
	height: 100%;
    flex-direction: column; /* Вертикальное расположение элементов */
    justify-content: space-between; /* Распределить пространство между элементами */
    padding: 2rem; /* Уменьшил отступы */
    background-color: var(--black-100); /* Изменил фон для контраста */
    text-align: left;
    min-height: 30rem; /* Уменьшил минимальную высоту */
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1); /* Добавил тень */
    transition: transform 0.3s; /* Эффект при наведении */
}

/* .card-container:hover .card-wrapper {
    background: radial-gradient(
           650px circle at var(--mouse-x) var(--mouse-y), 
           white,
           rgba(255, 255, 255, .1) 40%
       );
   background-repeat: no-repeat;
} */

.card h3 {
    font-size: 3.25rem; /* Уменьшил размер заголовка */
    margin-bottom: 0; /* Удалил нижний отступ у заголовка */
    margin-top: auto; /* Выровнять заголовок по низу */
    opacity: 0.8;
}
.card p {
    font-size: 2.25rem; /* Уменьшил размер текста */
    line-height: 1.4; /* Уменьшил межстрочный интервал */
    margin-top: 0; /* Удалил верхний отступ у текста */
    max-width: 50rem;
    opacity: 0.7;
    white-space: pre-wrap;
}

.angled-gradient {
    /* background: linear-gradient(70deg, white, #EFEFEF); */
    background-color: #E4EBF3;
}

.balloon_strong_text{
    font-size: 1.7rem;
    color: var(--black-200);
}  

.balloon_p_text{
    font-size: 1.4rem;
    color: var(--black-200);
}

.description {
    display: flex;
    gap: 5rem;
    overflow: hidden;
}

.description_top_border{
    border-top: 1px solid var(--black-100);
}

.description_right_border{
    border-right: 1px solid var(--black-100);
}

.description_bottom_border{
    border-bottom: 1px solid var(--black-100);
}

.description_left_border{
    border-left: 1px solid var(--black-100);
}

.description_heading{
    padding: 2rem 0 2rem 3rem;
    font-size: 4rem;
}

/* .description__icon-wrapper{
    width: 50%;
    overflow: hidden;
    position: relative;
} */

.description__icon{
    /* display: block; */
    /* width: 68.75; */
    width: 68.75rem;
    aspect-ratio: 1.6 / 1;
    transition: transform 0.3s ease-in-out;
}

/* .description__icon:hover{
    transform: scale(1.05);
} */

.description__content{
    display: flex;
    gap: 2rem;
    flex-direction: column;
    justify-content: center;
}

.description_left{
    transform-origin: left center;
}

.description_right{
    transform-origin: right center;
}


.description__pair {
    display: flex;
    flex-direction: row;
    align-items: center; /* Центрирование иконки и текста */
    gap: 1rem;
    padding-left: 3rem;
}

.description__pair_padding{
    padding-left: 0;
}

.description__i {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 4rem; /* Размер круга */
    height: 4rem; /* Размер круга */
    background-color: #f5f5f5;
    border-radius: 50%;
    flex-shrink: 0;
}

.material-symbols-outlined {
    font-size: 2.5rem; /* Размер иконки */
    color: #333;
}

.description__p {
    font-size: 2.5rem;
    margin: 0;
}

/* .description__p a {
    font-size: 2.55rem;
    text-decoration: none;
    border-bottom: 2px solid transparent;
    padding-bottom: 0.25rem;
    transition: border-bottom 0.3s ease;
} */

/* .description__p:hover a {
    border-bottom: 2px solid var(--black-800); 
} */

.description__content a {
    font-size: 2.7rem;
    text-decoration: none;
    position: relative;
    padding-bottom: 6px;
    color: var(--black-800);
    transition: color 0.3s ease;
}

.description__content a::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 2px;
    background-color: var(--black-800);
    transform: scaleX(0);
    transition: transform 0.3s ease;
}

/* .description__content a:hover {
    color: var(--black-600);
}

.description__content a:hover::after {
    transform: scaleX(1);
} */

.contact-card__wrapper{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 4rem;
    width: 100%;
}

.contact-card__content{
    display: flex;
    flex-direction: column;
    background-color: var(--black-100);
    border: 1px solid rgba(255, 255, 255, 0.1);
    border-radius: 16px;
    padding: 40px;
    gap: 4rem;
    /* gap: 8rem; */
}

.contact-card__content-wrapper{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 4rem;
}

.contact-card__content-name{
    font-size: 3.5rem;
    color: var(--black-700);
}

.contact-card__content-box{
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
}

.contact-card__content-box-description{
    font-size: 2rem;
}

.contact-card__content-box-param{
    font-size: 2.25rem;
    color: var(--black-800);
    text-wrap-style: balance;
}

.contact-card__content-box-param a{
    line-height: 3rem;
}

.contact-card__content-box-phone-wrapper{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
}

.contact-card__content-box-param-column{
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
}

.contact-card__content a {
    text-decoration: none;
    position: relative;
    padding-bottom: 6px;
    color: var(--black-800);
    transition: color 0.3s ease;
}

.contact-card__content a::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 2px;
    background-color: var(--black-800);
    transform: scaleX(0);
    transition: transform 0.3s ease;
}

/* .contact-card__content a:hover {
    color: var(--black-600);
}

.contact-card__content a:hover::after {
    transform: scaleX(1);
} */

/* 
.offer-container{
    width: 137.5rem;
    display: grid;
    grid-template-columns: repeat(3, 120px);
    row-gap: 3rem;
    padding-bottom: 5rem;
} */

.offer-card__content{
    display: flex;
    flex-direction: column;
    background-color: var(--black-100);
    border: 1px solid rgba(255, 255, 255, 0.1);
    border-radius: 16px;
    /* padding: 40px; */
    /* gap: 8rem; */
    transition: transform 0.3s ease, box-shadow 0.3s ease;;
}

/* .offer-card__content:hover{ 
    transform: translateY(-1px);
    box-shadow: 4px 4px 4px rgba(255, 255, 255, 0.1);
} */

.offer-card__content-image-box{
    /* height: 250px; */
    width: 100%;
    border-radius: 16px 16px 0 0;
    overflow: hidden;
    position: relative;
}

.offer-card__content-image{
    width: 100%;
    object-fit: cover;
    aspect-ratio: 1.6 / 1;
    transition: transform 0.3s ease-in-out;
}

/* .offer-card__content:hover .offer-card__content-image {
    transform: scale(1.05);
} */

.offer-card__content-wrapper{
    display: grid;
    grid-template-columns: 1fr 120px;
    /* flex-direction: column; */
    padding: 5rem;
    gap: 4rem;
    justify-content: space-between;
}

.offer-card__content-box{
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.offer-card__content-box-param{
    font-size: 2.75rem;
    color: var(--black-800);
    text-wrap-style: balance;
}

.offer-card__content-box-description{
    font-size: 1.75rem;
}

.offer-card__content-wrapper-left{
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    gap: 4rem;
}

.offer-card__content-tile{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    border-radius: 8px;
    padding: 1rem 0;
    gap: 0.5rem;
    border: 1px solid var(--black-300);
    width: 100%;
    height: 100%;
    /* box-shadow: 
    0px 30px 15px rgba(255, 255, 255, .05),
    0px 18px 12px rgba(255, 255, 255, .04),
    0px 10px 8px rgba(255, 255, 255, .03),
    0px 4px 5px rgba(255, 255, 255, .02),
    0px 0px 2px rgba(255, 255, 255, .01); */
}

.offer-card__content-tile-param{
    font-size: 2.8rem;
    color: var(--black-800);
}

.offer-card__content-tile-description{
    font-size: 2rem;
    text-wrap-style: balance;
}

.file_wrapper{
    display: flex;
    background-color: var(--black-100);
    padding: 8rem;
    border-radius: 4rem;
    align-items: start;
    margin-top: 5rem;
    flex-direction: column;
    gap: 3rem;
}


.file_heading{
    font-size: 5rem;
    line-height: 5.5rem;
    color: var(--black-800);
    padding-bottom: 5rem;
}

.file_wrapper a{
    font-size: 2.7rem;
    text-decoration: none;
    position: relative;
    /* padding-bottom: 6px; */
    color: var(--black-800);
    transition: color 0.3s ease;
}

.file_wrapper a::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 2px;
    background-color: var(--black-800);
    transform: scaleX(0);
    transition: transform 0.3s ease;
}

.file__pair{
    display: flex;
    flex-direction: row;
    align-items: center; /* Центрирование иконки и текста */
    gap: 3rem;
    /* padding-left: 3rem; */
}

.file__i {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 4rem; /* Размер круга */
    height: 4rem; /* Размер круга */
    background-color: var(--black-600);
    border-radius: 50%;
    flex-shrink: 0;
}

.boulevard-image{
    /* margin-top: 5rem; */
    margin: 5rem 0;
}

label:hover{
	cursor: pointer;
}

.checkbox-label:before{
	content: '';
	position: absolute;
	width: var(--size);
	height: var(--size);
	display: inline-block;
	border: 2px solid var(--black-650);
	border-radius: 2px;
	/* margin-bottom: -3px; */
    margin-top: 2px;
	margin-left: -17px;
	transition: .4s;
}

input[type="checkbox"]:checked + .checkbox-label:before{
	width: calc(var(--size) * .5);
	border-color: var(--black-800);
	border-radius: 0;
	transform: rotate(45deg);
	border-top: transparent;
	border-left: transparent;
	margin-left: -12px;
    /* gap: 5rem; */
}

/* checkbox disabled */

input[type="checkbox"]:disabled + .checkbox-label{
	color: gray;
}

.policy_text{
    font-size: 2rem;
    margin-left: 1.5rem;
}


.ymaps-layers-pane {
    filter: brightness(0.8); /* Уменьшаем яркость на 50% */
}

.ymaps-layer-tile {
    box-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
  }

@media screen and (max-width: 1200px) and (min-width: 768px){

    .burger-menu {
        display: flex;
        width:60px;
        height: 36px;
    }

    .header{
        padding: 0 2rem;
    }

    .header_container{
        padding: 0 4rem;
    }

    .navigation{
        display: none;
        flex-direction: column;
        position: fixed;
        height: 100%;
        width: 100%;
        top: 0; bottom: 0; left: 0; right: 0;
        z-index: 50;
        overflow-y: hidden;
        padding: 50px 40px;
        background-color: black;
        animation: burgerAnimation 0.2s;
        justify-content: flex-start;
        align-items: start;
        gap: 40px;
    }

    .navigation a{
        font-size: 5rem;
    }

    .container{
        width: 100%;
        padding: 0 4rem;
        padding-bottom: 5rem;
    }

    .section-layer{
        padding: 0 2rem;
    }
    
    .map__container{
        width: 100%;
    }

    .copyright{
        padding: 0 2rem;
    }

    .section_heading{
        padding: 18rem 0 5rem 0;
    }

    .accordion-item__heading-active{
        width: 100%;
    }

    .qualification_container{
        flex-direction: column;
        align-items: center;
    }

    .card-container .card:last-child{
        order: 2;
    }
    
    body::-webkit-scrollbar {
        display: none;
    }

    /* body{
        -ms-overflow-style: none; 
        scrollbar-width: none;
    } */
     
    .description {
        display: flex;
        gap: 5rem;
    }

    .description__icon{
        max-width: 50%;
    }

    .main-bg{
        width: 100vw;
    }

    .description_heading{
        font-size: 4rem;
        padding: 2rem 0 1rem 1rem;
        line-height: 4rem;
    }

    .description__pair{
        padding-left: 1rem;
    }

    .description__pair_padding{
        padding-left: 0;
    }    

    .copyright p{
        text-wrap-style: pretty;
    }

    .underlined {
        text-wrap: nowrap;
    }

    .contacts_address{
        line-height: 2.1rem;
        text-wrap-style: pretty;
    }

    .contacts-list{
        overflow-y: hidden;
    }

    .map:not(.is-active) * {
        pointer-events: none;
    }

    .map {
        min-height: 40rem;
    }

    .contacts-container{
        height: 50rem;
        width: 100%;
    }

    .contacts-list__wrapper{
        gap: 2rem;
    }

    .form__wrapper{
        align-items: start;
        width: 100%;
        padding: 6rem;
    }

    .form_heading{
        font-size: 4.5rem;
        line-height: 5rem;
    }

    .form_subtext{
        text-wrap-style: balance;
    }

    .accordion-module{
        width: 100%;
        padding: 0 4rem;
    }

    .w-50{
        padding: 0 0 8rem;
    }
    
    .footer_fcontainer{
        width: 100%;
        padding: 0 4rem;
    }

    .copyright_container{
        width: 100%;
        padding: 0 4rem;
    }

    .contact-card__content {
        gap: 5rem;
        padding: 4rem;
    }
}

@media screen and (max-width: 767px){
    *{
        font-size: 6px;
    }

    .header{
        padding: 0 2rem;
    }

    .header_container{
        padding: 0 4rem;
    }

    .burger-menu { display: flex }

    .navigation{
        display: none;
        flex-direction: column;
        position: fixed;
        height: 100%;
        width: 100%;
        top: 0; bottom: 0; left: 0; right: 0;
        z-index: 50;
        overflow-y: hidden;
        padding: 50px 40px;
        background-color: black;
        animation: burgerAnimation 0.2ss;
        justify-content: flex-start;
        align-items: start;
        gap: 32px;
    }

    .navigation a{
        font-size: 3rem;
    }

    .contacts-map {
        flex-direction: column;
    }
    
    .contacts-list {
        padding: 2rem;
        min-height: 32rem;
    }
    
    .contacts-list, .map {
        width: 100%;
    }

    .contact-item{
        padding: 2rem;
    }

    .contacts_address{
        font-size: 2.5rem;
    }

    .contacts_number{
        font-size: 2.5rem;
    }

    .contact-details{
        padding-top: 7rem;
        text-wrap-style: pretty;
        width: 100%;

    }

    .container{
        width: 100%;
        padding: 0 4rem;
        padding-bottom: 5rem;
    }

    .description{
        flex-direction: column;
        border: 0;
    }
    
    .footer_fcontainer{
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    
    .contacts-container{
        flex-direction: column;
        width: 100%;
        height: 100%;
    }

    .map{
        aspect-ratio: 1.5 / 1;
    }

    html, body {
        overflow-x: hidden;
        max-width: 100%; /* Не даёт элементам разрастаться */
    }

    .copyright{
        padding: 0 2rem;
    }
    
    .card-container{
        display: grid;
        gap: 2rem;
        grid-template-columns: repeat(auto-fill, minmax(140px, 100%));
    }

    .card-wrapper {
        grid-column: span 2;
        width: 100%;
    }

    .column-direction{
        gap: 3rem;
    }

    .h1_main{
        font-size: 7.5rem;
    }

    .description .description__content:first-child {
        order: 2;
    }

    .description .description__content:last-child {
        order: 1;
    }

    .description__content{
        gap: 2.5rem;        
    }

    .description__icon{
        width: 100%;
    }

    .p_subtext{
        font-size: 3rem;
        line-height: 3.5rem;
    }

    .material-symbols-outlined{
        font-size: 16px;
    }

    .qualification_container{
        flex-direction: column;
        width: 100%;
    }

    .clickable-image{
        width: 100%;
    }

    .modal-content {
        margin: auto;
        display: block;
        /* width: 80%; */
        max-width: 60vh;
        max-height: 60vh;
    }

    .map__container{
        width: 100%;
    }

    .main-content{
        width: 100%;
        padding-bottom: 5rem;
    }

    .form__wrapper{
        flex-direction: column;
        align-items: center;
        width: 100%;
        padding: 4rem;
    }
    
    .form{
        width: 100%;
    }

    .form_heading{
        font-size: 6rem;
        line-height: 6.5rem;
        /* width: 100%; */
    }

    input{
        padding: 1.5rem;
        font-size: 3rem;
    }

    label{
        font-size: 2.5rem;
    }

    .policy_text {
        font-size: 2.5rem;
    }

    .main_subtext{
        font-size: 3.5rem;
    }

    .card h3{
        font-size: 3.5rem;
    }

    .card p{
        font-size: 2.5rem;
    }

    .description_heading{
        padding: 2rem 0 2rem 0;
    }

    .description__pair{
        padding-left: 0;
    }

    .a_footer{
        font-size: 2.5rem;
    }
    
    .p_footer{
        font-size: 2.5rem;
    }

    .underlined {
        text-wrap: nowrap;
    }

    .map:not(.is-active) * {
        pointer-events: none;
    }
    
    .accordion-item__content{
        max-height: 800px;
    }

    .accordion-item__list li{
        text-wrap-style: pretty;
    }  

    .w-50{
        width: 100%;
        padding: 0 0 7rem;
    }

    .accordion-module{
        width: 100%;
        padding: 0 4rem;
    }

    .contact-card__wrapper{
        display: flex;
        flex-direction: column;
    }

    .contact-card__content-box-description{
        font-size: 2.5rem;
    }

    .contact-card__content-box-param{
        font-size: 2.8rem;
    }

    .contact-card__content a {
        font-size: 2.8rem;
    }

    .contact-card__content-box-phone-wrapper{
        display: flex;
        flex-direction: column;
        gap: 1.5rem;
    }

    .contact-card__content-wrapper{
        display: flex;
        flex-direction: column;
    }
}   

@keyframes burgerAnimation {
    from {opacity: 0}
    to {opacity: 1}
}

@media (hover: hover){
    .navigation a:hover::after {
        transform: scaleX(1);
    }

    .contacts-list-box a:hover::after {
        transform: scaleX(1);
    }
}

@media screen and (min-width: 1200px){
    .navigation a:hover{
        color: var(--black-650);
    }

    .footer_links_bg:hover{
        background-color: var(--black-800);
        transform: scale(1.02);
    }
    
    .submit-btn:hover{
        background-color: var(--black-600);
    }

    .contact-item:hover {
        background-color: var(--black-200);
        transition: background-color 0.3 ease;
    }

    .card-container:hover .card-wrapper {
        background: radial-gradient(
               650px circle at var(--mouse-x) var(--mouse-y), 
               white,
               rgba(255, 255, 255, .1) 40%
           );
       background-repeat: no-repeat;
    }

    .description__icon:hover{
        transform: scale(1.05);
    }

    .description__content a:hover {
        color: var(--black-600);
    }
    
    .description__content a:hover::after {
        transform: scaleX(1);
    }

    .contact-card__content a:hover {
        color: var(--black-600);
    }
    
    .contact-card__content a:hover::after {
        transform: scaleX(1);
    }

    /*.offer-card__content:hover{ */
        /* transform: translateY(-1px); */
    /*    box-shadow: 4px 4px 4px rgba(255, 255, 255, 0.1);*/
    /*}*/

    .offer-card__content:hover .offer-card__content-image {
        transform: scale(1.05);
    }

    .file_wrapper a:hover {
        color: var(--black-600);
    }

    /* .file_wrapper a:hover::after {
        transform: scaleX(1);
    } */
}
